For the complete documentation index, see llms.txt. This page is also available as Markdown.

Find Terms Children

Database.

A taxonomy is a hierarchical set of terms (categories, tags) you can attach to records.

Finds the terms children.

Database

get
Authorizations
HTTPRequired

JWT Bearer Authorization

Path parameters
versionstring Β· nullableRequired

The CodeMash API version used to fetch data from the API. If not specified, the last version will be used. E.g.: v3

Query parameters
startingAfterstring Β· nullableOptional

Cursor token β€” fetch the page AFTER this item.

endingBeforestring Β· nullableOptional

Cursor token β€” fetch the page BEFORE this item.

pageSizeinteger Β· int32 Β· nullableOptional

Amount of records to return.

Header parameters
norbix-project-idstring Β· nullableRequired

ID of your project. Can be passed in a header as norbix-project-id.

norbix-envstring Β· nullableOptional

Target environment for this request (e.g. TEST, STAGING). Optional β€” when omitted the request runs against PROD. Can be passed in a header as norbix-env.

CultureCodestring Β· nullableOptional

Specify culture code when your response from the API should be localised. E.g.: en

TimeZoneIdstring Β· nullableOptional

TimeZone

CorrelationIdstring Β· nullableOptional

CorrelationId for each request

Responses
200

OK

application/json
get/{version}/database/taxonomies/{taxonomyName}/terms/{parentId}/children
GET /{version}/database/taxonomies/{taxonomyName}/terms/{parentId}/children HTTP/1.1
Host: api.norbix.ai
Authorization: Bearer YOUR_SECRET_TOKEN
norbix-project-id: text
Accept: */*
200

OK

{
  "responseStatus": {
    "isSuccess": true
  },
  "list": {
    "items": [],
    "hasMore": true,
    "hasPrevious": true,
    "startingAfter": "text",
    "endingBefore": "text"
  }
}

In the dashboard

Manage this visually in Norbix Cloud β€” see Database.

Use it from code

Every Norbix SDK exposes this endpoint as a method β€” see Find Terms Children in the SDK reference, with examples in every language.

Last updated